| Uwierzytelnianie | wymagane |
| Format odpowiedzi | json |
| Metoda HTTP | GET |
Zwraca numery telefonów osób oczekujących w kolejce.
Jeśli numer telefonu zostanie jednoznacznie odnaleziony w CRM, to zwracany jest identyfikator i imię/nazwisko osoby lub nazwa firmy.
https://your-system-name.thulium.com/api/queues/:id/waiting_list
|
id
wymagany |
Identyfikator kolejki.
Przykładowa wartość: 2
|
| GET | https://your-system-name.thulium.com/api/queues/2/waiting_list |
[
{
phone_number: "613459851",
started_at: "2014-08-06 14:30:37",
customer_id: null,
customer_label: null
},
{
phone_number: "840526437",
started_at: "2014-08-06 14:30:36",
customer_id: null,
customer_label: null
},
{
phone_number: "746842523",
started_at: "2014-08-06 14:30:35",
customer_id: 123,
customer_label: "Jan Kowalski"
}
]
<?php $request = curl_init('https://your-system-name.thulium.com/api/queues/2/waiting_list'); curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8')); curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass"); curl_setopt($request, CURLOPT_TIMEOUT, 30); curl_setopt($request, CURLOPT_RETURNTRANSFER, true); $response = curl_exec($request); if ($response) { $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE); if ($httpCode == 200){ print_r(json_decode($response)); } else { echo $response; } } else { trigger_error(curl_error($request), E_USER_WARNING); } curl_close($request);
public class Example { public static void main(String[] args) throws Exception { ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true); ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/queues/2/waiting_list"); System.out.println(response); } }
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/queues/2/waiting_list"
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/queues/2/waiting_list Accept:application/json